data:extend(
{
  
  {
    type = "recipe",
    name = "observer",
	enabled = "false",
    ingredients =
    {
      {"processing-unit", 1},
	  {"power-source", 2},
	  {"alien-artifact", 1},
      {"iron-gear-wheel", 5},
      {"iron-plate", 10}
    },
    result = "observer"
  },
  
  {
    type = "item",
    name = "observer",
    icon = "__hardcorio__/graphics/icons/items/radar.png",
	icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "d[observer]-a[observer]",
    place_result = "observer",
    stack_size = 50
  },
  
  {
    type = "radar",
    name = "observer",
    icon = "__hardcorio__/graphics/icons/items/radar.png",
	icon_size = 32,
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "observer"},
    max_health = 150,
    corpse = "small-remnants",
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_per_sector = "3MJ",
    max_distance_of_sector_revealed = 4,
    max_distance_of_nearby_sector_revealed = 1,
    energy_per_nearby_scan = "80kJ",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage = "100kW",
    pictures =
    {
      filename = "__base__/graphics/entity/radar/radar.png",
      priority = "high",
	  scale = 0.33333,
      width = 153,
      height = 131,
      axially_symmetrical = false,
      apply_projection = false,
      direction_count = 64,
      line_length = 8,
      shift = {0.29, -0.12},
	  tint = {r=0.4, g=0.4, b=0.2, a=0.9}
    },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/radar.ogg"
        }
      },
      apparent_volume = 2,
	  max_sounds_per_type = 6
    }
  }
})
