

data:extend(
{
  {
    type = "recipe",
    name = "fill-water-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-water-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-water-barrel.png",
    ingredients =
    {
      {type="fluid", name="water", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="water-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-water-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-water-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-water-barrel.png",
    ingredients =
    {
      {type="item", name="water-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="water", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-heavy-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-heavy-oil-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-heavy-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="heavy-oil", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-heavy-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-heavy-oil-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-heavy-oil-barrel.png",
    ingredients =
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="heavy-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-light-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-light-oil-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-light-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="light-oil-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-light-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-light-oil-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-light-oil-barrel.png",
    ingredients =
    {
      {type="item", name="light-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-petroleum-gas-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-petroleum-gas-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-petroleum-gas-barrel.png",
    ingredients =
    {
      {type="fluid", name="petroleum-gas", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="petroleum-gas-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-petroleum-gas-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-petroleum-gas-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-petroleum-gas-barrel.png",
    ingredients =
    {
      {type="item", name="petroleum-gas-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="petroleum-gas", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-lubricant-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-lubricant-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-lubricant-barrel.png",
    ingredients =
    {
      {type="fluid", name="lubricant", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="lubricant-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-lubricant-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-lubricant-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-lubricant-barrel.png",
    ingredients =
    {
      {type="item", name="lubricant-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="lubricant", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-sulfuric-acid-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-sulfuric-acid-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-sulfuric-acid-barrel.png",
    ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="sulfuric-acid-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-sulfuric-acid-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-sulfuric-acid-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-sulfuric-acid-barrel.png",
    ingredients =
    {
      {type="item", name="sulfuric-acid-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="sulfuric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },
  {
    type = "recipe",
    name = "fill-hydrogen-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-hydrogen-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-hydrogen-barrel.png",
    ingredients =
    {
      {type="fluid", name="hydrogen", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="hydrogen-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-hydrogen-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-hydrogen-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-hydrogen-barrel.png",
    ingredients =
    {
      {type="item", name="hydrogen-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="hydrogen", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-eleriumite-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-eleriumite-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-eleriumite-barrel.png",
    ingredients =
    {
      {type="fluid", name="eleriumite", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="eleriumite-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-eleriumite-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-eleriumite-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-eleriumite-barrel.png",
    ingredients =
    {
      {type="item", name="eleriumite-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="eleriumite", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
  },

  {
    type = "recipe",
    name = "fill-oxygen-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-oxygen-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-oxygen-barrel.png",
    ingredients =
    {
      {type="fluid", name="oxygen", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="oxygen-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-oxygen-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-oxygen-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-oxygen-barrel.png",
    ingredients =
    {
      {type="item", name="oxygen-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="oxygen", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
  },

  {
    type = "recipe",
    name = "fill-pure-water-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-pure-water-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-pure-water-barrel.png",
    ingredients =
    {
      {type="fluid", name="pure-water", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="pure-water-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-pure-water-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-pure-water-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-pure-water-barrel.png",
    ingredients =
    {
      {type="item", name="pure-water-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="pure-water", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "fill-biomass-food-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-q-biomass-food-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/fill-biomass-food-barrel.png",
    ingredients =
    {
      {type="fluid", name="biomass-food", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="biomass-food-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-biomass-food-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-q-biomass-food-barrel]",
    enabled = "false",
    icon = "__hardcorio__/graphics/icons/fluid/empty-biomass-food-barrel.png",
    ingredients =
    {
      {type="item", name="biomass-food-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="biomass-food", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
  }
})
