data:extend(
{
  {
    type = "recipe",
    name = "elerium-stone",
    category = "crafting-with-fluid",
    energy_required = 10,
	enabled = "false",
    ingredients = {{ "stone", 10}, { "elerium-dust", 1}, {type="fluid", name="sulfuric-acid", amount=1}},
    result = "elerium-stone",
	result_count = 10,
  },
  {
    type = "recipe",
    name = "elerium-brick",
    category = "smelting",
    energy_required = 7,
	enabled = "false",
    ingredients = {{"elerium-stone", 2}},
    result = "elerium-brick"
  },
  {
    type = "recipe",
    name = "elerium-wall",
	enabled = "false",
    ingredients = {{"elerium-brick", 5}},
    result = "elerium-wall"
  },
  {
    type = "recipe",
    name = "elerium-gate",
	enabled = "false",
    ingredients = {{"elerium-wall", 1}, {"steel-plate", 2}, {"advanced-circuit", 2}},
    result = "elerium-gate"
  },
  {
    type = "recipe",
    name = "biomass-food",
    category = "chemistry",
    subgroup = "energy",
	enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {type="item", name="organic-food", amount=20},
      {type="fluid", name="pure-water", amount=0.5},
    },
	results=
    {
	  {type="fluid", name="biomass-food", amount=2},
    },
  },
  {
    type = "recipe",
    name = "water",
    category = "chemistry",
    subgroup = "energy",
	enabled = "false",
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="hydrogen", amount=1},
      {type="fluid", name="oxygen", amount=2},
    },
	results=
    {
	  {type="fluid", name="pure-water", amount=0.3},
    },
  },
   {
    type = "recipe",
    name = "support-tank",
	enabled = "false",
    energy_required = 15,
    ingredients =
    {
		{"iron-plate", 100},
		 {"copper-plate", 50},
    },
	results=
    {
	  {type="item", name="support-tank", amount=1},
    },
  },
  
  }
  )