data:extend(
{
  {
    type = "technology",
    name = "small-pump",
    icon = "__base__/graphics/icons/small-pump.png",
    prerequisites = {"fluid-handling", "electric-engine"},
    unit =
    {
      count = 15,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 25
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "small-pump"
      }
    },
    order = "d-a-a"
  },
  {
    type = "technology",
    name = "fluid-handling-2",
    icon = "__base__/graphics/technology/fluid-handling.png",
    prerequisites = {"fluid-handling"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 25
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fill-water-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-water-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-heavy-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-heavy-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-light-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-light-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-petroleum-gas-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-petroleum-gas-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-lubricant-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-lubricant-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-sulfuric-acid-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-sulfuric-acid-barrel"
      }
    },
    order = "d-a-b"
  },
  {
    type = "technology",
    name = "fluid-handling-3",
    icon = "__base__/graphics/technology/fluid-handling.png",
    prerequisites = {"fluid-handling"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 25
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fill-hydrogen-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-hydrogen-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-eleriumite-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-eleriumite-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-biomass-food-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-biomass-food-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-oxygen-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-oxygen-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-pure-water-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-pure-water-barrel"
      }
    },
    order = "d-a-c"
  }
}
)
