data:extend(
{
{
    type = "technology",
    name = "heavy-ammo-1",
    icon = "__hardcorio__/graphics/technology/heavy-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "flame-thrower-ammo"
    },
    },
	prerequisites = {"heavy-basic"},
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-d-b-a"
},

{
    type = "technology",
    name = "heavy-ammo-2",
    icon = "__hardcorio__/graphics/technology/heavy-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-105he"
    }
    },
	prerequisites = {"heavy-ammo-1", "explosives", "electrolize"},
    unit =
    {
      count = 40,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 1},
      },
      time = 20
    },
	upgrade = "true",
    order = "a-a-d-b-b"
},
{
    type = "technology",
    name = "heavy-ammo-3",
    icon = "__hardcorio__/graphics/technology/heavy-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-105mg"
    },
    },
	prerequisites = {"heavy-ammo-2", "advanced-chemistry-1"},
    unit =
    {
      count = 80,
      ingredients =
      {
        {"science-pack-1", 3},
		{"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 40
    },
	upgrade = "true",
    order = "a-a-d-b-c"
},
{
    type = "technology",
    name = "heavy-ammo-4",
    icon = "__hardcorio__/graphics/technology/heavy-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-105tbc"
    },
    },
	prerequisites = {"heavy-ammo-3", "advanced-chemistry-2"},
    unit =
    {
      count = 160,
      ingredients =
      {
        {"science-pack-1", 4},
		{"science-pack-2", 3},
		{"science-pack-3", 2},
		{"alien-science-pack", 1},
      },
      time = 40
    },
	upgrade = "true",
    order = "a-a-d-b-d"
},

}
)
