data:extend(
{
{
    type = "technology",
    name = "laser-ammo",
    icon = "__hardcorio__/graphics/technology/laser-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-laser-rifle"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-gauss-rifle"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-ps40"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-ps2000"
    },
	{
    type = "unlock-recipe",
    recipe = "recipe-ps160"
	}
    },
	prerequisites = {"laser-basic", "laser-turret-1"},
    unit =
    {
      count = 40,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-e-b-a"
},

{
    type = "technology",
    name = "laser-turret-1",
    icon = "__hardcorio__/graphics/technology/laser-turret.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-red-laser-turret"
    },
    },
	prerequisites = {"laser-basic"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-e-c-a"
},

{
    type = "technology",
    name = "laser-turret-2",
    icon = "__hardcorio__/graphics/technology/laser-turret.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-green-laser-turret"
    },
    },
	prerequisites = {"laser-turret-1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-e-c-b"
},

{
    type = "technology",
    name = "laser-turret-3",
    icon = "__hardcorio__/graphics/technology/laser-turret.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-blue-laser-turret"
    },
    },
	prerequisites = {"laser-turret-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 3},
		{"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-e-c-b"
},

}
)
