data.raw["item"]["stone-brick"].place_as_tile.condition_size = 3
data.raw["item"]["concrete"].place_as_tile.condition_size = 3

data.raw["armor"]["light-armor"].durability = 300
data.raw["armor"]["heavy-armor"].durability = 1500
data.raw["armor"]["modular-armor"].durability = 3000
data.raw["armor"]["power-armor"].durability = 4000
data.raw["armor"]["power-armor-mk2"].durability = 6000

data.raw["movement-bonus-equipment"]["exoskeleton-equipment"].movement_bonus = 0.2

data.raw["armor"]["light-armor"].resistances = { { type = "fire", percent = 100 }, { type = "claw", decrease = 1, percent = 30 }, { type = "acid", decrease = 4, percent = 70 }, { type = "explosion", decrease = 2, percent = 20 }}
data.raw["armor"]["heavy-armor"].resistances = { { type = "fire", percent = 100 }, { type = "claw", decrease = 2, percent = 40 }, { type = "acid", decrease = 5, percent = 80 }, { type = "explosion", decrease = 5, percent = 25 }}
data.raw["armor"]["modular-armor"].resistances = { { type = "fire", percent = 100 }, { type = "claw", decrease = 1, percent = 50 }, { type = "acid", decrease = 1, percent = 50 }, { type = "explosion", decrease = 10, percent = 30 }}
data.raw["armor"]["power-armor"].resistances = { { type = "fire", percent = 100 }, { type = "claw", decrease = 1, percent = 50 }, { type = "acid", decrease = 1, percent = 50 }, { type = "explosion", decrease = 15, percent = 40 }}
data.raw["armor"]["power-armor-mk2"].resistances = { { type = "fire", percent = 100 }, { type = "claw", decrease = 1, percent = 50 }, { type = "acid", decrease = 1, percent = 50 }, { type = "explosion", decrease = 20, percent = 50 }}

data.raw["gun"]["flame-thrower"].subgroup = "127x33"
data.raw["gun"]["flame-thrower"].order = "e"
data.raw["gun"]["flame-thrower"].stack_size = 1
data.raw["ammo"]["flame-thrower-ammo"].stack_size = 5
data.raw["ammo"]["flame-thrower-ammo"].order = "f"
data.raw["ammo"]["flame-thrower-ammo"].subgroup = "127x33"
data.raw["stream"]["handheld-flamethrower-fire-stream"].action =
    {
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
              type = "create-fire",
              entity_name = "fire-flame"
            },
            {
              type = "damage",
              damage = { amount = 1/10, type = "explosion" }
            }
          }
        }
      },
      {
        type = "area",
        perimeter = 2.5,
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
              type = "create-sticker",
              sticker = "fire-sticker"
            }
          }
        }
      }
    }
data.raw["fire"]["fire-flame"].damage_per_tick = {amount = 10 / 60, type = "explosion"}
data.raw["sticker"]["fire-sticker"].damage_per_tick = { amount = 10 / 60, type = "explosion" }

data.raw["item"]["radar"].subgroup = "grenade"
data.raw["item"]["gate"].subgroup = "defense"
data.raw["item"]["stone-wall"].subgroup = "defense"

data.raw["armor"]["modular-armor"].order = "z-a"
data.raw["armor"]["power-armor"].order = "z-b"
data.raw["armor"]["power-armor-mk2"].order = "z-c"

data.raw["armor"]["modular-armor"].subgroup = "cars"
data.raw["armor"]["power-armor"].subgroup = "cars"
data.raw["armor"]["power-armor-mk2"].subgroup = "cars"

data.raw["item"]["radar"].order = "y"
data.raw["item"]["gate"].order = "d-b"
data.raw["item"]["stone-wall"].order = "d-a"

data.raw["ammo"]["firearm-magazine"].ammo_type ={category = "bullet",target_type = "direction",source_effects ={type = "create-entity",entity_name = "explosion-gunshot"},action ={type = "direct",action_delivery ={type = "instant",source_effects ={{type = "damage",damage = { amount = 10000, type = "explosion"}}}}}}
data.raw["ammo"]["firearm-magazine"].magazine_size = 1
data.raw["ammo"]["firearm-magazine"].icon = "__base__/graphics/icons/cannon-shell.png"
data.raw["gun"]["pistol"].attack_parameters ={ type = "projectile",ammo_category = "bullet",cooldown = 10,movement_slow_down_factor = 0.7,shell_particle ={name = "shell-particle",direction_deviation = 0.1,speed = 0.1,speed_deviation = 0.03,center = {0, 0.6},creation_distance = 0.6,starting_frame_speed = 0.4,starting_frame_speed_deviation = 0.1},projectile_creation_distance = 0,range = 15,sound = make_light_gunshot_sounds()}

data.raw["module"]["effectivity-module"].effect = { consumption = {bonus = -0.3}, pollution = {bonus = -0.1}}
data.raw["module"]["effectivity-module-2"].effect = { consumption = {bonus = -0.4}, pollution = {bonus = -0.2}}
data.raw["module"]["effectivity-module-3"].effect = { consumption = {bonus = -0.5}, pollution = {bonus = -0.3}}

data.raw["item"]["car"].flags = {"goes-to-quickbar", "hidden"}
data.raw["item"]["tank"].flags = {"goes-to-quickbar", "hidden"}
data.raw["item"]["gun-turret"].flags = {"goes-to-quickbar", "hidden"}
data.raw["item"]["laser-turret"].flags = {"goes-to-quickbar", "hidden"}
data.raw["item"]["land-mine"].flags = {"goes-to-quickbar", "hidden"}
data.raw["item"]["personal-laser-defense-equipment"].flags = {"goes-to-quickbar", "hidden"}
data.raw["item"]["discharge-defense-equipment"].flags = {"goes-to-quickbar", "hidden"}
data.raw["ammo"]["firearm-magazine"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["piercing-rounds-magazine"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["shotgun-shell"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["piercing-shotgun-shell"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["cannon-shell"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["explosive-cannon-shell"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["rocket"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["ammo"]["explosive-rocket"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["pistol"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["submachine-gun"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["tank-machine-gun"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["vehicle-machine-gun"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["shotgun"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["combat-shotgun"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["gun"]["rocket-launcher"].flags = {"goes-to-main-inventory", "hidden"}
data.raw["capsule"]["raw-fish"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["grenade"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["cluster-grenade"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["poison-capsule"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["slowdown-capsule"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["defender-capsule"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["destroyer-capsule"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["distractor-capsule"].flags = {"goes-to-quickbar", "hidden"}
data.raw["capsule"]["discharge-defense-remote"].flags = {"goes-to-quickbar", "hidden"}