data:extend(
{
  {
    type = "fluid",
    name = "eleriumite",
    default_temperature = 10,
    max_temperature = 100,
    heat_capacity = "1KJ",
    base_color = {r=1, g=1, b=0},
    flow_color = {r=1, g=1, b=0},
    icon = "__hardcorio__/graphics/icons/items/eleriumite.png",
    order = "eleriumite",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "hydrogen",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0.5, b=0.5},
    flow_color = {r=0, g=0.5, b=0.5},
    icon = "__hardcorio__/graphics/icons/items/hydrogen-f.png",
    order = "hydrogen",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "oxygen",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=1, g=1, b=1},
    flow_color = {r=1, g=1, b=1},
    icon = "__hardcorio__/graphics/icons/items/oxygen-f.png",
    order = "oxygen",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "pure-water",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0, b=1,a=0.4},
    flow_color = {r=0, g=0, b=1,a=0.4},
    icon = "__hardcorio__/graphics/icons/items/pure-water.png",
    order = "pure-water",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "biomass-food",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=0.7, g=0.5, b=0.5,a=0.4},
    flow_color = {r=0.7, g=0.5, b=0.5,a=0.4},
    icon = "__hardcorio__/graphics/icons/items/biomass-food.png",
    order = "q-biomass-food",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "item",
    name = "water-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/waterl-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "c[water-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "heavy-oil-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/heavy-oil-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "d[heavy-oil-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "light-oil-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/light-oil-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "e[light-oil-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "petroleum-gas-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/petroleum-gas-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "f[petroleum-gas-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "lubricant-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/lubricant-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "g[lubricant-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "sulfuric-acid-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/sulfuric-acidl-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "h[sulfuric-acid-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "hydrogen-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/hydrogen-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "i[hydrogen-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "eleriumite-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/eleriumite-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "j[eleriumite-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "biomass-food-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/biomass-food-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "j[biomass-food-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "oxygen-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/oxygen-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "j[oxygen-barrel]",
    stack_size = 10
  },
  {
    type = "item",
    name = "pure-water-barrel",
    icon = "__hardcorio__/graphics/icons/fluid/pure-water-barrel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "j[pure-water-barrel]",
    stack_size = 10
  }
}
)