data:extend(
{
  {
    type = "item",
    name = "organic-food",
    icon = "__hardcorio__/graphics/icons/items/organic-food.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "1",
    stack_size = 1000
  },
{
    type = "item",
    name = "support-tank",
    icon = "__hardcorio__/graphics/icons/items/support-tank.png",
    flags = {"goes-to-quickbar"},
    subgroup = "storage",
	place_result = "support-tank",
    order = "1-b",
    stack_size = 1
  },
	{
    type = "item",
    name = "air-tank",
    icon = "__hardcorio__/graphics/icons/items/air-tank.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "1-a",
    stack_size = 100
  },
  {
    type = "item",
    name = "food-tank",
    icon = "__hardcorio__/graphics/icons/items/food-tank.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "1-b",
    stack_size = 100
  },
  {
    type = "item",
    name = "water-tank",
    icon = "__hardcorio__/graphics/icons/items/water-tank.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "1-c",
    stack_size = 100
  },
	{
    type = "tool",
    name = "enemy-dna",
    icon = "__hardcorio__/graphics/entity/player/ship/dna.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 2147483648,
    durability = 1,
    durability_description_key = "description.science-pack-remaining-amount"
  },
  {
    type = "item",
    name = "iron-plate-block",
    icon = "__hardcorio__/graphics/icons/items/iron-plate-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "copper-plate-block",
    icon = "__hardcorio__/graphics/icons/items/copper-plate-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "steel-plate-block",
    icon = "__hardcorio__/graphics/icons/items/steel-plate-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "iron-dust-block",
    icon = "__hardcorio__/graphics/icons/items/iron-dust-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "copper-dust-block",
    icon = "__hardcorio__/graphics/icons/items/copper-dust-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "steel-dust-block",
    icon = "__hardcorio__/graphics/icons/items/steel-dust-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "iron-ore-block",
    icon = "__hardcorio__/graphics/icons/items/iron-ore-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "copper-ore-block",
    icon = "__hardcorio__/graphics/icons/items/copper-ore-block.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 100
  },
  {
    type = "item",
    name = "compressor",
    icon = "__hardcorio__/graphics/icons/items/compressor.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "b-a",
    place_result = "compressor",
    stack_size = 50
  },
  {
    type = "item",
    name = "elerium-drill",
    icon = "__hardcorio__/graphics/icons/items/elerium-drill.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a-c",
    place_result = "elerium-drill",
    stack_size = 50
  },
  {
    type = "item",
    name = "iron-dust",
    icon = "__hardcorio__/graphics/icons/items/iron-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 50
  },
  {
    type = "item",
    name = "copper-dust",
    icon = "__hardcorio__/graphics/icons/items/copper-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 50
  },
  {
    type = "item",
    name = "steel-dust",
    icon = "__hardcorio__/graphics/icons/items/steel-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 50
  },
  {
    type = "item",
    name = "electrolizer",
    icon = "__hardcorio__/graphics/icons/items/electrolizer.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "electrolizer",
    place_result = "electrolizer",
    stack_size = 50
  },
  {
    type = "item",
    name = "hydrogen-can",
    icon = "__hardcorio__/graphics/icons/items/hydrogen.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "20MJ",
    subgroup = "raw-material",
    order = "b",
    stack_size = 60
  },
  {
    type = "item",
    name = "elerium-ore",
    icon = "__hardcorio__/graphics/icons/items/elerium-ore.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "z-a",
    stack_size = 1000
  },
  {
    type = "item",
    name = "dirty-elerium-dust",
    icon = "__hardcorio__/graphics/icons/items/dirty-elerium-dust.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "z-b",
    stack_size = 1000
  },
  {
    type = "item",
    name = "elerium-dust",
    icon = "__hardcorio__/graphics/icons/items/elerium-dust.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "z-c",
    stack_size = 1000
  },
  {
    type = "tool",
    name = "elerium",
    icon = "__hardcorio__/graphics/icons/items/elerium.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "z-d",
    stack_size = 1000,
    durability = 1,
    durability_description_key = "description.science-pack-remaining-amount"
  },
  {
    type = "item",
    name = "power-source",
    icon = "__hardcorio__/graphics/icons/items/power-source.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-material",
    order = "z-e",
    stack_size = 50
  },
  {
    type = "item",
    name = "fusion-reactor",
    icon = "__hardcorio__/graphics/icons/building/fr.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "b-c",
    place_result = "fusion-reactor",
    stack_size = 50
  },
  {
    type = "item",
    name = "grinder",
    icon = "__hardcorio__/graphics/icons/items/grinder.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "b-a",
    place_result = "grinder",
    stack_size = 50
  },
  
  
})
