data:extend(
{
  {
    type = "recipe",
    name = "fusion-reactor",
	enabled = "false",
    ingredients =
    {
      {"iron-plate", 73},
      {"copper-plate", 125},
	  {"steel-plate", 41},
      {"electronic-circuit", 50},
	  {"alien-artifact", 5},
      {"blue-laser-turret", 3},
	  {"electric-engine-unit", 3},
    },
    results = 
	{
	  {"fusion-reactor", amount=1},
	}
  },
  
  {
    type = "recipe",
    name = "elerium-drill",
    energy_required = 1.5,
	enabled = "false",
    ingredients = {
   	  {"electric-engine-unit", 5},
      {"advanced-circuit", 2},
	  {"alien-artifact", 1},
	  {"iron-plate", 25}
	  },
    result = "elerium-drill",
	result_count = 1,
  },
  
  {
    type = "recipe",
    name = "grind-elerium",
    category = "grinding",
    energy_required = 2,
	enabled = "false",
    ingredients = {{ "elerium-ore", 1}},
    result = "dirty-elerium-dust",
	result_count = 1,
  },
 
   {
    type = "recipe",
    name = "washing-elerium",
	icon = "__hardcorio__/graphics/icons/items/elerium-dust.png",
    category = "chemistry",
	enabled = "false",
    subgroup = "raw-material",
    order = "z-a",
    energy_required = 1,
    ingredients =
    {
      {type="item", name="dirty-elerium-dust", amount=1},
      {type="fluid", name="water", amount=8},
      {type="fluid", name="sulfuric-acid", amount=1}
    },
	results=
    {
	  {type="item", name="elerium-dust", amount=1},
      {type="fluid", name="eleriumite", amount=2}

    },
  },
  
  {
    type = "recipe",
    name = "eleriumite-dust",
    category = "chemistry",
	enabled = "false",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="eleriumite", amount=1}
    },
	results=
    {
	  {type="item", name="elerium-dust", amount=1}
    },
  },
  
    {
    type = "recipe",
    name = "compressing-elerium-dust",
    category = "compressing",
    energy_required = 3,
	enabled = "false",
    ingredients = {{ "elerium-dust", 1}},
    result = "elerium",
	result_count = 1,
  },
  
  {
    type = "recipe",
    name = "power-source",
    category = "advanced-crafting",
    energy_required = 5,
	enabled = "false",
    ingredients = 
	{
	{ "elerium", 1},
	{ "iron-plate", 1},
	{ "copper-plate", 2},
	{ "electronic-circuit", 1},
	},
    result = "power-source",
	result_count = 1,
  },
    {
    type = "recipe",
    name = "science-pack-4",
    category = "advanced-crafting",
    energy_required = 5,
	enabled = "false",
    ingredients =
    {
      
      {type="fluid", name="eleriumite", amount=10},
    },
	results=
    {
      {type="item", name="alien-science-pack", amount=1},
    }
  },
  }
  )