data:extend(
{
{
    type = "technology",
    name = "127x99-ammo-1",
    icon = "__hardcorio__/graphics/technology/127x99-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-127x99ep"
    },
    },
	prerequisites = {"127x99-basic", "compressing", "electrolize"},
    unit =
    {
      count = 30,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-c-b-a"
},

{
    type = "technology",
    name = "127x99-ammo-2",
    icon = "__hardcorio__/graphics/technology/127x99-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-127x99mg"
    },
    },
	prerequisites = {"127x99-ammo-1", "chemistry"},
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 1},
      },
      time = 20
    },
	upgrade = "true",
    order = "a-a-c-b-b"
},
{
    type = "technology",
    name = "127x99-ammo-3",
    icon = "__hardcorio__/graphics/technology/127x99-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-127x99he"
    },
    },
	prerequisites = {"127x99-ammo-2", "explosives", "advanced-chemistry-1"},
    unit =
    {
      count = 40,
      ingredients =
      {
        {"science-pack-1", 3},
		{"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 40
    },
	upgrade = "true",
    order = "a-a-c-b-c"
},
{
    type = "technology",
    name = "127x99-ammo-4",
    icon = "__hardcorio__/graphics/technology/127x99-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-127x99du"
    },
    },
	prerequisites = {"127x99-ammo-3", "advanced-chemistry-2"},
    unit =
    {
      count = 80,
      ingredients =
      {
        {"science-pack-1", 4},
		{"science-pack-2", 3},
		{"science-pack-3", 2},
		{"alien-science-pack", 1},
      },
      time = 40
    },
	upgrade = "true",
    order = "a-a-c-b-d"
},


}
)
