data:extend(
{
{
    type = "technology",
    name = "plasma-ammo",
    icon = "__hardcorio__/graphics/technology/plasma-ammo.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-plasma-gun"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-plasma-shotgun"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-plasma-sniper"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-ps200"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-ps3200"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-ps4000"
    },
    },
	prerequisites = {"plasma-basic"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-f-b-a"
},

{
    type = "technology",
    name = "plasma-turret",
    icon = "__hardcorio__/graphics/technology/plasma-turret.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-plasma-turret"
    },
    },
	prerequisites = {"plasma-basic", "advanced-electronics-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 4},
		{"science-pack-2", 3},
		{"science-pack-3", 2},
		{"alien-science-pack", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-f-c-a"
},
}
)
